Bug 501498 - Review Request: task - an open source, command-line, TODO list manager
Review Request: task - an open source, command-line, TODO list manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 09:59 EDT by Federico Hernandez
Modified: 2014-09-17 22:04 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.7.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 04:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Federico Hernandez 2009-05-19 09:59:09 EDT
Spec URL: <spec info here>
SRPM URL: <srpm info here>
Dehttp://www.ultrafredde.com/projects/task.spechttp://www.ultrafredde.com/projects/task.specscription: <description here>
Comment 1 Federico Hernandez 2009-05-19 10:14:49 EDT
OK it seems that my description got lost...

Here is a new try:

Spec URL: http://www.ultrafredde.com/projects/task.spec
SRPM URL: http://www.ultrafredde.com/projects/task-1.7.0-1.fc10.src.rpm

Hi there!

I have packaged task, an command-line TODO list manager.

The Spec and SRPM are based on the latest release of the upstream package, that is 1.7.0.

The rpmlint runs are error and warning free.

It would be nice to get a review as well as sponsoring to get task into Fedora.

As further information I want to mention that I have close contact to the upstream developer and contribute to the task project (having written the man pages and the bash completion script for the 1.7.0 release).

/Federico
Comment 2 Jochen Schmitt 2009-05-19 12:13:15 EDT
For a beginner you have provide a nice well-suited package. There are
only thwo minor issues which you may fix easily. So I tell you, that I
want to sponsor you, after the package will be approved.

Good:
+ Basename SPEC filename matches which package name
+ Package name fullfill naming guidelines
+ URL tag shows on proper project homepage
+ Package contains most recent stable release of the software
+ Could download upstream tar ball via spectool -g
+ Packaged tar ball matches with upstream
(md5sum: 4f6fe66dbd9fb3249dd201fd843b8319)
+ Package contains proper license tag
+ License tag states GPLv2 as a valid OSS license
+ Consistently rpm macro usage in package
+ Package doesn't contains any subpackage
+ Proper Buildroot defintion
+ Buildroot will be cleaned at the beginning of %clean and %install
+ Package contains verbatin copy of the license text
+ Local build works fine
+ Package support SMP build
+ Build honours RPM_OPT_FLAGS
+ Rpmlint is silient on source rpm
+ Rpmlint is silent on binary rpm
+ Debuginfo package contains sources
+ Local install and uninstall works fine
+ Application doesn't crash on start
+ Koji build works fine
+ Files in the files stanza has proper files permission
+ All packaged files are owned by the pacakge
+ No packaged file is owned by another package
+ %doc stanza is small, so we need no extra doc subpackage
+ Patckage has prpoer %Changelog

Bad:
- Copyright notes in the source files haeaders state GPLv2+
  as license for the package
- You can remove the requires ncurses line, because rpm
  create automaticly a Require to the library
Comment 3 Federico Hernandez 2009-05-19 17:24:06 EDT
Spec URL: http://www.ultrafredde.com/projects/task.spec
SRPM URL: http://www.ultrafredde.com/projects/task-1.7.0-2.fc10.src.rpm

Hallo Jochen!

Vielen Dank für die Review.

I have now changed the spec file according to your suggestions - from the Changelog section:

* Tue May 19 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.0-2
- Changed license to GPLv2+ and removed Requires macro.
- See https://bugzilla.redhat.com/show_bug.cgi?id=501498

New rpmlint runs showed now error nor warnings.

/Federico
Comment 4 Jochen Schmitt 2009-05-20 06:58:33 EDT
Hint. It's ok to wrote '(#501498)' as an abbrevious in the changelog.

Because you package look good. I will APPRROVED you.

You can create a FAS account and done the cla. Please request membership in the packagers group, so I can sponsor you.

Unfortunately, I'm away until sunday.
Comment 5 Federico Hernandez 2009-05-20 08:09:45 EDT
THX for the changelog abbreviation hint.

FAS account and cla are done and ready. I have requested now requested membership in the packagers group.

Grüsse
Federico
Comment 6 Federico Hernandez 2009-05-25 08:51:06 EDT
New Package CVS Request
=======================
Package Name: task 
Short Description: An open source, command-line, TODO list manager
Owners: ultrafredde
Branches: F-10 F-11
InitialCC: s4504kr
Comment 7 Jason Tibbitts 2009-05-26 18:31:21 EDT
CVS done.
Comment 8 Fedora Update System 2009-05-27 06:39:39 EDT
task-1.7.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/task-1.7.0-2.fc10
Comment 9 Fedora Update System 2009-05-27 06:42:10 EDT
task-1.7.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/task-1.7.0-2.fc11
Comment 10 Fedora Update System 2009-05-28 04:06:10 EDT
task-1.7.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-28 04:11:43 EDT
task-1.7.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Susi Lehtola 2009-07-05 16:15:44 EDT
Once you sponsor someone, please remember to remove the FE-NEEDSPONSOR tag to
avoid noise in the blocker bug.
Comment 13 Federico Hernandez 2009-09-01 11:55:44 EDT
Package Change Request
=======================
Package Name: task 
Short Description: An open source, command-line, TODO list manager
Owners: ultrafredde
New Branch: F-12 EL-5
Comment 14 Kevin Fenzi 2009-09-03 22:22:42 EDT
cvs done.
Comment 15 Greg Bailey 2014-07-14 09:16:32 EDT
Package Change Request
======================
Package Name: task
New Branches: epel7
Owners: ultrafredde gbailey
Comment 16 Gwyn Ciesla 2014-07-14 13:53:40 EDT
Git done (by process-git-requests).
Comment 17 Ralph Bean 2014-09-17 11:26:47 EDT
Package Change Request
======================
Package Name: task
New Branches: epel7
Owners: ralph
Comment 18 Gwyn Ciesla 2014-09-17 12:53:08 EDT
Git done (by process-git-requests).
Comment 19 Greg Bailey 2014-09-17 14:20:30 EDT
(In reply to Ralph Bean from comment #17)
> Package Change Request
> ======================
> Package Name: task
> New Branches: epel7
> Owners: ralph

Just curious what the purpose of this branch creation request is?  There was already an "epel7" branch (and corresponding builds) already...
Comment 20 Ralph Bean 2014-09-17 22:04:00 EDT
(In reply to Greg Bailey from comment #19)
> Just curious what the purpose of this branch creation request is?  There was
> already an "epel7" branch (and corresponding builds) already...

Ah, it was a mistake -- the result of some miscommunication in IRC.  :(  Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.